CS::Animation::iSkeletonAnimationNodeFactory Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iSkeletonAnimationNodeFactory Struct Reference
Mesh plugins

Factory for raw animation nodes. More...

`#include <imesh/animnode/skeleton2anim.h>`

Inheritance diagram for CS::Animation::iSkeletonAnimationNodeFactory:

List of all members.

## Public Member Functions
virtual iSkeletonAnimation * | GetAnimation () const =0
| Get the raw animation data in use.
virtual bool | GetAutomaticReset () const =0
| Get whether or not the playback position should be reset to the start of the animation when this node is activated with CS::Animation::iSkeletonAnimNode::Play().
virtual bool | GetAutomaticStop () const =0
| Get whether or not this animation node should be automatically stopped when the playback duration has been reached.
virtual float | GetPlaybackSpeed () const =0
| Get the playback speed of the animation.
virtual bool | IsCyclic () const =0
| Get whether or not the animation has to be played cyclically.
virtual void | SetAnimation (iSkeletonAnimation *animation)=0
| Set the raw animation data to be used.
virtual void | SetAutomaticReset (bool reset)=0
| Set whether or not the playback position should be reset to the start of the animation when this node is activated with CS::Animation::iSkeletonAnimNode::Play().
virtual void | SetAutomaticStop (bool enabed)=0
| Set whether or not this animation node should be automatically stopped when the playback duration has been reached.
virtual void | SetCyclic (bool cyclic)=0
| Set whether or not the animation has to be played cyclically.
virtual void | SetPlaybackSpeed (float speed)=0
| Set the playback speed of the animation.

## Detailed Description

Factory for raw animation nodes.

It defines instances of CS::Animation::iSkeletonAnimationNode.

Main creators of instances implementing this interface:

- CS::Animation::iSkeletonAnimPacketFactory::CreateAnimationNode()

Main ways to get pointers to this interface:

- CS::Animation::iSkeletonAnimationNode::GetFactory()
- CS::Animation::iSkeletonAnimNodeFactory::FindNode()

Main users of this interface:

- CS::Animation::iSkeletonFactory

Definition at line 632 of file skeleton2anim.h.

The documentation for this struct was generated from the following file:

- imesh/animnode/skeleton2anim.h